PHP Manual
Prev |  | Next

# class_exists

(PHP 4, PHP 5)

class_exists -- Checks if the class has been defined

## Description

bool class_exists ( string class_name [, bool autoload] )

This function checks if the given class have been defined.

## Parameters

`class_name`

  The class name

`autoload`

  Whether to call __autoload or not by default

## Return Values

Returns `TRUE` if `class_name` is a defined class, `FALSE` otherwise.

## ChangeLog

Version | Description
--- | ---
5.0.0 | The `autoload` was added.

## Examples

Example 1. class_exists() example

`<?php // Check the class exists before trying to use it if (class_exists('MyClass')) { $myclass = new MyClass(); } ?>`

Example 2. `autoload` parameter example

`<?php function __autoload($class) { include($class . '.php'); // Check to see if the include declared the class if (!class_exists($class, false)) { trigger_error("Unable to load class: $class", E_USER_WARNING); } } if (class_exists('MyClass')) { $myclass = new MyClass(); } ?>`

## See Also

interface_exists()
get_declared_classes()

Prev | Home | Next
call_user_method | Up | get_class_methods